<%
'------------------------------------------------------------
'
'   Epson Internet Printing Project
'
'   Copyright (c) Seiko Epson Corporation 1999
'
'------------------------------------------------------------
    option explicit
%>
<!-- #include file = "ep_I020E.inc" -->
<!-- #include file = "ep_I021E.inc" -->

<%
	Const	MSGFILE = "ep_I021E.msg"
	Const	COMMONMSGFILE = "ep_I020E.msg"
	Const	PRINTER_COLOR = 4
	Const	PAPER_PATH_TB_START = 109

%>

<%
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	GetInfo( errCd, strErrImg, strErrMsg )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim	fsObj
	Dim	txtStreamObj
	Dim	strDt
	Dim	strWk
	Dim	msgCnt
	Dim	strMsg
	Dim	strImg
	Dim	i,j

	On Error Resume Next
	Err.Clear

	GetInfo = False

	Set fsObj = Server.CreateObject("Scripting.FileSystemObject")
	Set txtStreamObj = fsObj.OpenTextFile(Server.MapPath(MSGFILE),1,False,False)

    If Err.Number <> 0 Then
		ErrorHandler (strFileID)
		Exit Function
	End If

	strDt = txtStreamObj.ReadLine
	i = InStr(strDt, "Msg_ETC")
	i = InStr(strDt, "=")
	j = Len(strDt) - i
	strWk = Mid(strDt,i+1,j)
	strMsg = Trim(strWk)
	strMsg = Mid(strMsg, 2, Len(strMsg)-2)
	strDt = txtStreamObj.ReadLine
	strImg = "Epimages\ep_" & strDt & ".gif"

	do
		strDt = txtStreamObj.ReadLine
		if InStr(strDt, "Msg_" & errCd) > 0 then
			i = InStr(strDt, "=")
			j = Len(strDt) - i
			strWk = Mid(strDt,i+1,j)
			strWk = Trim(strWk)
			strMsg = Mid(strWk, 2, Len(strWk)-2)
			strDt = txtStreamObj.ReadLine
			strImg = "Epimages\ep_" & strDt & ".gif"
			GetInfo = True
			Exit Do
		else
			txtStreamObj.SkipLine
		End If

	Loop While txtStreamObj.AtEndOfLine = False

	txtStreamObj.Close

	strErrMsg = strMsg
	strErrImg = strImg

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	GetSt( strMib )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim	iSt
	Dim	strWk

	On Error Resume Next
	Err.Clear

	if strMib = "" then
		GetSt = "xx"
		Exit Function
	End if

	iSt = InStr(strMib, "ST:")
	if iSt > 0 then
		strWk = Mid(strMib, iSt+3, 2)

		if IsNumeric( "&H" & strWk ) = False then
			strWk = "xx"
		elseif Mid(strMib,iSt+5,1) <> ";" Then
			strWk = "xx"
		End if
	Else
		strWk = "--"
	End if

	GetSt = strWk

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	GetEr( strMib )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim	iSt
	Dim	strWk

	On Error Resume Next
	Err.Clear

	if strMib = "" then
		GetEr = "xx"
		Exit Function
	End if

	iSt = InStr(strMib, "ER:")
	if iSt > 0 then
		strWk = Mid(strMib, iSt+3, 2)

		if strWk = "00" or strWk = "01" or strWk = "02" or strWk = "03" or _
		   strWk = "04" or strWk = "05" or strWk = "06" or strWk = "07" or _
		   strWk = "08" then
		else
			strWk = "xx"
		end if

		if Mid(strMib,iSt+5,1) <> ";" Then
			strWk = "xx"
		End if
	Else
		strWk = "--"
	End if

	GetEr = strWk

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	GetIq( strMib, strDrv )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim	iSt
	Dim	i
	Dim	iIqCnt
	Dim	strWk
	Dim	strIq()
 
	On Error Resume Next
	Err.Clear

	if strMib = "" then
		ReDim strIq(0)
		strIq(0) = "xx"
		GetIq = strIq
		Exit Function
	End if

	iSt = InStr(strMib, "IQ:")
	if iSt > 0 then
		i = 0
		iSt = iSt + 3

		strWk = Mid(strMib,iSt,Len(strMib))
		strWk = Mid(strWk,1,InStr(strWk,";"))

		if Len(strWk) mod 2 = 0 then
			ReDim strIq(0)
			strIq(0) = "xx"
			GetIq = strIq
			Exit Function
		elseif Mid(strWk,Len(strWk),1) <> ";" then
			ReDim strIq(0)
		 	strIq(0) = "xx"
		 	GetIq = strIq
			Exit Function
		end if

		iSt = 1
		iIqCnt = 0
		Do
			ReDim Preserve strIq(i)

			strIq(i) = Mid(strWk, iSt, 2)
			
			if Len( strIq(i) ) <> 2 then
				strIq(0) = "xx"
				GetIq = strIq
				Exit Function
			End if
			if IsNumeric( "&H" & strIq(i) ) = True then

				if CInt( "&H" & strIq(i) ) > 100 then
					strIq(i) = "64"
				End if
			else
				if strIq(i) = "NA" then
					strIq(i) = "FF"
					if i >= 1 then
						iIqCnt = iIqCnt + 1
					end if
				elseif strIq(i) <> "RE" and strIq(i) <> "WE" then
			 		strIq(0) = "xx"
			 		GetIq = strIq
					Exit Function
				end if
			End if
			
			iSt = iSt + 2
			i = i + 1
		Loop While Mid(strWk, iSt, 1) <> ";"

		if i <> PRINTER_COLOR then
			strIq(0) = "xx"
			GetIq = strIq
			Exit Function
		End if

		if iIqCnt <> 0 AND iIqCnt <> UBound(strIq) then
			strIq(0) = "xx"
			GetIq = strIq
			Exit Function
		End if

		GetIq = strIq
	Else
		ReDim strIq(0)
		strIq(0) = "--"
		GetIq = strIq
	End if

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	GetWr( strMib )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim	i
	Dim	iSt
	Dim	strWk()
	Dim	strWarning

	On Error Resume Next
	Err.Clear

	ReDim strWk(0)

	if strMib = "" then
		strWk(0) = "xx"
		GetWr = strWk
		Exit Function
	End if

	iSt = InStr(strMib, "WR:")
	if iSt > 0 then
		i = 0
		iSt = iSt + 3

		strWarning = Mid(strMib,iSt,Len(strMib))
		strWarning = Mid(strWarning,1,InStr(strWarning,";"))

		if Len(strWarning) = 0 then
		 	strWk(0) = "xx"
		 	GetWr = strWk
			Exit Function
		end if
		if Mid(strWarning,Len(strWarning),1) <> ";" then
		 	strWk(0) = "xx"
		 	GetWr = strWk
			Exit Function
		end if

		iSt = 1
		Do
			if i <> 0 then
				ReDim Preserve strWk(i)
			End if

			strWk(i) = Mid(strWarning, iSt, 2)
			
			if Len( strWk(i) ) <> 2 then
				strWk(0) = "xx"
				Exit do
			End if
			if IsNumeric( "&H" & strWk(i) ) = False then
		 		strWk(0) = "xx"
				Exit do
			else
				select case strWk(i)
					case "00", "01"
					case "10", "11", "12", "13", "14", "15"
					case else
						strWk(0) = "xx"
						Exit do
				end select
			End if
			
			iSt = iSt + 3
			i = i + 1

		Loop While Mid(strWarning, iSt-1, 1) <> ";"
	Else
		strWk(0) = "--"
	End if

	GetWr = strWk

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	GetPp( strMib )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim	iSt
	Dim	strWk()
	Dim	strBuf

	On Error Resume Next
	Err.Clear

	ReDim strWk(0)

	if strMib = "" then
		GetPp = "xx"
		Exit Function
	End if

	iSt = InStr(strMib, "PP:")
	if iSt > 0 then
		i = 0
		iSt = iSt + 3
		strBuf = Mid(strMib,iSt,Len(strMib)-iSt)
		strBuf = Mid(strBuf,1,InStr(strBuf,";"))

		if Len(strBuf) = 0 then
		 	strWk(0) = "xx"
		 	GetPp = strWk
			Exit Function
		end if
		if Mid(strBuf,Len(strBuf),1) <> ";" then
		 	strWk(0) = "xx"
		 	GetPp = strWk
			Exit Function
		end if

		iSt = 1
		Do
			if i <> 0 then
				ReDim Preserve strWk(i)
			End if

			strWk(i) = Mid(strBuf, iSt, 2)
			
			if Len( strWk(i) ) <> 2 then
				strWk(0) = "xx"
				Exit do
			End if
			if IsNumeric( "&H" & strWk(i) ) = False then
		 		strWk(0) = "xx"
				Exit do
			End if
			
			iSt = iSt + 2
			i = i + 1

		Loop While Mid(strBuf, iSt, 1) <> ";"
	Else
		strWk(0) = "--"
	End if

	GetPp = strWk

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	ChkWr( strWr )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim i
	Dim strTmp
	Dim inkBC

	On Error Resume Next
	Err.Clear

	ChkWr = ""
	inkBC = ""

	for i = 0 to UBound(strWr)
		select case strWr(i)
			case "--"
				ChkWr = strWr(i)
				Exit function
			case "10"
				if inkBC = "col" then
					ChkWr = "21"
					Exit function
				else
					ChkWr = strWr(i)
					inkBC = "blk"
				end if
			case "11","12","13","14","15"
				if inkBC = "blk" then
					ChkWr = "21"
					Exit function
				else
					ChkWr = strWr(i)
					inkBC = "col"
				end if
			case "00","01"
				ChkWr = strWr(i)
			case else
				strTmp = strWr(i)
		End Select
	Next

	if ChkWr = "" then
		ChkWr = strTmp
	End if

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	ChkIq( strIq )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim	colCnt
	Dim	strMsgCd
	Dim	iBkCd
	Dim	iColCd

	On Error Resume Next
	Err.Clear

	iBkCd = 0
	iColCd = 0

	select case strIq(0)
		case "FF"
			iBkCd = 3
		case "RE","WE"
			iBkCd = 2
		case "00"
			iBkCd = 3
		case else
			iBkCd = 0
	End Select

	colCnt = UBound(strIq)
	if colCnt >= 1 then 
		for i = 1 to colCnt
			select case strIq(i)
				case "FF"
					iColCd = 3
					Exit for
				case "RE","WE"
					iColCd = 2
					Exit for
				case "00"
					iColCd = 3
					Exit for
				case else
					iColCd = 0
			End Select
		Next
	End if

	if iColCd = iBkCd or iColCd = 0 or iBkCd = 0 then
		ChkIq = CStr(iColCd ) & CStr(iBkCd)
	else
		ChkIq = "-" & CStr(iBkCd)
	End if
	
End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	CovPaperPath( pathCd )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim	fsObj
	Dim	txtStreamObj
	Dim	strDt
	Dim	strWk
	Dim	msgCnt
	Dim	etcMsg
	Dim	i,j

	On Error Resume Next
	Err.Clear

	CovPaperPath = ""

	Set fsObj = Server.CreateObject("Scripting.FileSystemObject")
	Set txtStreamObj = fsObj.OpenTextFile(Server.MapPath(COMMONMSGFILE),1,False,False)

	If Err.Number <> 0 Then
		ErrorHandler (strFileID)
		Exit Function
	End If

	For i = 0 to PAPER_PATH_TB_START
		txtStreamObj.SkipLine
	Next

	strDt = txtStreamObj.ReadLine
	i = InStr(strDt, "PaperPathCount")
	i = InStr(strDt, "=" )
	j = Len(strDt) - i
	strWk = Mid(strDt,i+1,j)
	msgCnt = CInt(Trim(strWk)) - 1

	strDt = txtStreamObj.ReadLine
	i = InStr(strDt, "PP_PathUnKnow")
	i = InStr(strDt, "=" )
	j = Len(strDt) - i
	strWk = Mid(strDt,i+1,j)
	etcMsg = Trim(strWk)
	etcMsg = Mid(etcMsg, 2, Len(etcMsg)-2)

	do
		strDt = txtStreamObj.ReadLine
		if InStr(strDt, "PP_Path" & pathCd(0) & pathCd(1)) > 0 then
			i = InStr(strDt, "PP_Path" & pathCd(0) & pathCd(1))
			i = InStr(strDt, "=")
			j = Len(strDt) - i
			strWk = Mid(strDt,i+1,j)
			strWk = Trim(strWk)
			CovPaperPath = Mid(strWk, 2, Len(strWk)-2)
			Exit Do
		End If

		msgCnt = msgCnt - 1

	Loop While txtStreamObj.AtEndOfLine = False and strDt <> "0"

	txtStreamObj.Close

	if msgCnt <= 0 then
		CovPaperPath = etcMsg
	End if

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	MakeMsgCd( strSt, strEr, strIq, strWr )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	On Error Resume Next
	Err.Clear

	if strSt = "xx" or _
	   strEr = "xx" or _
	   strIq(0) = "xx" or _
	   strWr(0) = "xx" then
		MakeMsgCd = "00------"
		Exit Function
	End if
	if strSt = "--" then
		MakeMsgCd = "00------"
		Exit Function
	End if

	select case strSt
		case "00"
			if strEr = "--" then
				MakeMsgCd = "00------"
				Exit Function
			end if
			if strEr <> "01" then
				MakeMsgCd = "00" & strEr
				if strEr = "05" then
					MakeMsgCd = MakeMsgCd & ChkIq(strIq) & "--"
				else
					MakeMsgCd = MakeMsgCd & "----"
				end if
			else
				if ChkWr(strWr) = "--" then
					MakeMsgCd = "0001----"
				else
					MakeMsgCd = "04" & "----" & ChkWr(strWr)
				end if
			end if
		case "01"
			MakeMsgCd = "01------"
		case "02","03","05","06","07","09","0A"
			MakeMsgCd = strSt & "------"
		case "04"
			MakeMsgCd = strSt & "----" & ChkWr(strWr)
		case else
			MakeMsgCd = "ETC"
	End Select
	
End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutInfo( selMode, netMode, iqCd, wrCd, ppCd, netInfo )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	On Error Resume Next
	Err.Clear

	if selMode = "2" then
		PutInfo = PutNetwork( netMode, netInfo )
	else
		Dim strWk

		strWk = PutPaperPath( ppCd )
		PutInfo = strWk & PutInkTb( iqCd, wrCd )
	end if

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutPaperPath( ppCd )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim	str
	Dim	i
	
	On Error Resume Next
	Err.Clear

	if ppCd(0) = "--" then
		Exit Function
	End if

	str = ""
	str = str & "<table width=""125"">"
	str = str & "  <tr>"
	str = str & "    <td height=""25"" valign=""bottom"" nowrap=""nowrap"">"
	str = str & "    <b><font size=""2"">"
	str = str & Write(GetFileDt( COMMONMSGFILE, "PAPER_TATH" ))
	str = str & "    <b><font size=""3"">"
	str = str & " &nbsp " & Write("   :   ") & " &nbsp "
	str = str & "    </font></b>"
	str = str & Write(CovPaperPath( ppCd ))
	str = str & "    </font></b>"
	str = str & "    </td>"
	str = str & "  </tr>"
	str = str & "</table>"

	PutPaperPath = str

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutNetwork( netMode, rgInfo )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim str
	Dim strGifImg

	On Error Resume Next
	Err.Clear

	str = ""

	if IsArray(rgInfo) = False then
		exit function
	End if
 
	select case netMode
		case 1
			strGifImg = "EPIMAGES/ep_Net1.gif"
		case 2
			strGifImg = "EPIMAGES/ep_Net2.gif"
		case 3
			strGifImg = "EPIMAGES/ep_Net3.gif"
		case 4
			strGifImg = "EPIMAGES/ep_Net4.gif"
		case 5
			strGifImg = "EPIMAGES/ep_Net5.gif"
		case 6
			strGifImg = "EPIMAGES/ep_Net6.gif"
	End select

	str = str & "<table width=""630"" height=""10"" cellpadding=""0"" cellspacing=""0"" border=""0"">"
	str = str & "  <tr align=""left"" valign=""bottom"">"
	str = str & "    <td height=""24"">"
	str = str & "      <font size=""2"">"
	str = str & "      <b>" & Write(GetFileDt( COMMONMSGFILE, "NET_NAME" )) & "</b>"
	str = str & "      </font>"
	str = str & "    </td>"
	str = str & "  </tr>"
	str = str & "  <tr align=""left"" valign=""bottom"">"
	str = str & "    <td height=""22"">"
	str = str & "<img name=""mapNet"" src=""" & strGifImg & """ width=""619"" height=""18"" alt=""Select network"" border=0 usemap=""#NetInfo"">"
	str = str & "</td>"
	str = str & "  </tr>"

	str = str & "  <tr valign=""top"">"
	str = str & "    <td>"

	str = str & "      <table width=""630"" border=""3"" bordercolor=""#33CC33"" height=""40"" cellspacing=""0"" bordercolorlight=""#33CC33"" bordercolordark=""#006600"">"
	str = str & "        <tr align=""center"" valign=""middle"">"
	str = str & "          <td>"

	str = str & "            <table width=""100%"" cellspacing=""0"" border=""3"">"

	str = str & PutNetInfo( netMode, rgInfo )

	str = str & "            </table>"
	str = str & "          </td>"
	str = str & "        </tr>"
	str = str & "      </table>"
	str = str & "    </td>"
	str = str & "  </tr>"
	str = str & "</table>"

	str = str & "<MAP NAME=""NetInfo"">"
	str = str & "<AREA"
	str = str & "	SHAPE=""rect"""
	str = str & "	COORDS=""1,0,102,18"""
	str = str & "	HREF=""" & strULR & "&Sel=2&Net=1"""
	str = str & "	ALT=""Ethernet"""
	str = str & "	TITLE=""Ethernet"""
	str = str & ">"

	str = str & "<AREA"
	str = str & "	SHAPE=""rect"""
	str = str & "	COORDS=""103,0,205,18"""
	str = str & "	HREF=""" & strULR & "&Sel=2&Net=2"""
	str = str & "	ALT=""TCP/IP"""
	str = str & "	TITLE=""TCP/IP"""
	str = str & ">"
	
	str = str & "<AREA"
	str = str & "	SHAPE=""rect"""
	str = str & "	COORDS=""206,0,308,18"""
	str = str & "	HREF=""" & strULR & "&Sel=2&Net=3"""
	str = str & "	ALT=""NetWare"""
	str = str & "	TITLE=""NetWare"""
	str = str & ">"
	
	str = str & "<AREA"
	str = str & "	SHAPE=""rect"""
	str = str & "	COORDS=""309,0,411,18"""
	str = str & "	HREF=""" & strULR & "&Sel=2&Net=4"""
	str = str & "	ALT=""Apple Talk"""
	str = str & "	TITLE=""Apple Talk"""
	str = str & ">"
	
	str = str & "<AREA"
	str = str & "	SHAPE=""rect"""
	str = str & "	COORDS=""412,0,514,18"""
	str = str & "	HREF=""" & strULR & "&Sel=2&Net=5"""
	str = str & "	ALT=""NetBEUI"""
	str = str & "	TITLE=""NetBEUI"""
	str = str & ">"
	
	str = str & "<AREA"
	str = str & "	SHAPE=""rect"""
	str = str & "	COORDS=""515,0,618,18"""
	str = str & "	HREF=""" & strULR & "&Sel=2&Net=6"""
	str = str & "	ALT=""SNMP"""
	str = str & "	TITLE=""SNMP"""
	str = str & ">"

	str = str & "</MAP>"

	PutNetwork = str

End Function


'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutNetInfo( netMode, rgInfo )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	On Error Resume Next
	Err.Clear

	select case netMode
		case 1
			PutNetInfo = PutEthernet( rgInfo )
		case 2
			PutNetInfo = PutTcp( rgInfo )
		case 3
			PutNetInfo = PutNetware( rgInfo )
		case 4
			PutNetInfo = PutApple( rgInfo )
		case 5
			PutNetInfo = PutNetBeui( rgInfo )
		case 6
			PutNetInfo = PutSnmp( rgInfo )
	End select

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutEthernet( rgInfo )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim i
	Dim str
	Dim wk1,wk2
	Dim strText(4)
	Dim strUnKnow
	Dim strItem

	On Error Resume Next
	Err.Clear

	strUnKnow = GetFileDt( COMMONMSGFILE, "NET_UNKNOWN" )
'	strItem = Array("c", _
'					"g u", _
'					"e u", _
'					"h")
	strItem = Array("Description", _
					"Hardware Version", _
					"Firmware Version", _
					"Interface")

	if rgInfo(0) <> "" then
		strText(0) = rgInfo(0)
	else
		strText(0) = "&nbsp;"
	end if

	if rgInfo(1) <> "" then
		wk1 = CStr(Hex(rgInfo(1)))
		do while Len(wk1) < 4
			wk1 = "0" & wk1
		loop
		wk2 = Left(wk1,2)
		wk1 = Right(wk1,2)
		strText(1) = wk2 & "." & wk1
	else
		strText(1) = "&nbsp;"
	end if

	if rgInfo(2) <> "" then
		wk1 = CStr(Hex(rgInfo(2)))
		do while Len(wk1) < 4
			wk1 = "0" & wk1
		loop
		wk2 = Left(wk1,2)
		wk1 = Right(wk1,2)
		strText(2) = wk2 & "." & wk1
	else
		strText(2) = "&nbsp;"
	end if

	select case rgInfo(3)
		case &H00
			strText(3) = "10 Base-T Half duplex"
		case &H100
			strText(3) = "10 Base-T Full duplex"
		case &H10000
			strText(3) = "100 Base-TX Half duplex"
		case &H10100
			strText(3) = "100 Base-TX Full duplex"
		case else
			strText(3) = strUnKnow
	end select

	str = ""

	for i = 0 to 3
		str = str & "<tr>"
		str = str & "  <td width=""20%"" nowrap>"
		str = str & "    <font size=""2""><B>" & Write(strItem(i)) & "</B></font>"
		str = str & "  </td>"
		str = str & "  <td width=""80%"">"
		str = str & "    <font size=""2"">" & Write(strText(i)) & "</font>"
		str = str & "  </td>"
		str = str & "</tr>"
	Next

	PutEthernet = str

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutTcp( rgInfo )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim i
	Dim str
	Dim wk1,wk2
	Dim strText(7)
	Dim strON, strOFF
	Dim strUnKnow
	Dim strItem

	On Error Resume Next
	Err.Clear

	strUnKnow = GetFileDt( COMMONMSGFILE, "NET_UNKNOWN" )
'	strItem = Array("sbo^ho", _
'					"q`qo", _
'					"annso", _
'					"cgbo", _
'					"ohmf ɂݒ", _
'					"ho `")
	strItem = Array("TCP/IP", _
					"RARP", _
					"BOOTP", _
					"DHCP", _
					"Set by PING", _
					"IP Address")

	strON = "ON"
	strOFF = "OFF"

	if rgInfo(0) <> "" then
		if rgInfo(0) = 1 then
			strText(0) = "Enable"
		elseif rgInfo(0) = 0 then
			strText(0) = "Disable"
		else
			strText(0) = strUnKnown
		End if
	else
		strText(0) = "&nbsp;"
	end if

	if rgInfo(1) <> "" then
		if (CLng(rgInfo(1)) AND 1) = 1 then
			strText(1) = strON
		else
			strText(1) = strOFF
		End if
		if (CLng(rgInfo(1)) AND 2) = 2 then
			strText(2) = strON
		else
			strText(2) = strOFF
		End if
		if (CLng(rgInfo(1)) AND 4) = 4 then
			strText(3) = strON
		else
			strText(3) = strOFF
		End if
		if (CLng(rgInfo(1)) AND 8) = 8 then
			strText(4) = strON
		else
			strText(4) = strOFF
		End if
	else
		strText(1) = "&nbsp;"
		strText(2) = "&nbsp;"
		strText(3) = "&nbsp;"
		strText(4) = "&nbsp;"
	end if

	strText(5) = Request(IPADDRESS)

	str = ""

	for i = 0 to 5
		str = str & "<tr>"
		str = str & "  <td width=""20%"" nowrap>"
		str = str & "    <font size=""2""><B>" & Write(strItem(i)) & "</B></font>"
		str = str & "  </td>"
		str = str & "  <td width=""80%"">"
		str = str & "    <font size=""2"">" & Write(strText(i)) & "</font>"
		str = str & "  </td>"
		str = str & "</tr>"
	Next

	PutTcp = str

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutNetWare( rgInfo )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim i
	Dim str
	Dim wk1,wk2
	Dim strText(10)
	Dim strUnKnow
	Dim strItem

	On Error Resume Next
	Err.Clear

	strUnKnow = GetFileDt( COMMONMSGFILE, "NET_UNKNOWN" )
'	strItem = Array("m", _
'					"e s", _
'					"l", _
'					"o e r m", _
'					"or m", _
'					"o h", _
'					"o o r m", _
'					"o m", _
'					"mcr s m")
	strItem = Array("Netware", _
					"Frame Type", _
					"Mode", _
					"Primary File Server Name", _
					"PrintServer Name", _
					"Polling Interval", _
					"Primary Print Server Name", _
					"Port Number", _
					"NDS Tree Name")

	if rgInfo(0) <> "" then
		if rgInfo(0) = 1 then
			strText(0) = "Enable"
		elseif rgInfo(0) = 0 then
			strText(0) = "Disable"
		else
			strText(0) = strUnKnown
		End if
	else
		strText(0) = "&nbsp;"
	end if

	if rgInfo(1) <> "" then
		if rgInfo(1) = 0 then
			strText(1) = "AUTO"
		elseif rgInfo(1) = 1 then
			strText(1) = "Ethernet 802.2"
		elseif rgInfo(1) = 2 then
			strText(1) = "Ethernet 802.3"
		elseif rgInfo(1) = 3 then
			strText(1) = "Ethernet U"
		elseif rgInfo(1) = 4 then
			strText(1) = "Ethernet SNMP"
		else
			strText(1) = strUnKnow
		end if
	else
		strText(1) = "&nbsp;"
	end if

	if rgInfo(2) <> "" then
		if (CLng(rgInfo(2)) AND 64) = 0 then
			strText(2) = "Stand by"
		elseif (CLng(rgInfo(2)) AND 64) = 64 AND _
			   (CLng(rgInfo(2)) AND 2) = 2 AND _
			   (CLng(rgInfo(2)) AND 128) = 0 then
			strText(2) = "RemotePrinter AUTO(NDS/Bindary)"
		elseif (CLng(rgInfo(2)) AND 64) = 64 AND _
			   (CLng(rgInfo(2)) AND 2) = 0 AND _
			   (CLng(rgInfo(2)) AND 128) = 128 then
			strText(2) = "NDS PrintServer"
		elseif (CLng(rgInfo(2)) AND 64) = 64 AND _
			   (CLng(rgInfo(2)) AND 2) = 0 AND _
			   (CLng(rgInfo(2)) AND 128) = 0 then
			strText(2) = "Bindary PrintServer"
		else
			strText(2) = strUnKnow
		End if
	else
		strText(2) = "&nbsp;"
	end if

	for i = 3 to 8
		if rgInfo(i) <> "" then
			strText(i) = rgInfo(i)
			if i = 5 then
				strText(i) = strText(i) & GetFileDt( COMMONMSGFILE, "NET_SEC" )
			End if
		else
			strText(i) = "&nbsp;"
		end if
	Next

	str = ""

	for i = 0 to 8
		str = str & "<tr>"
		str = str & "  <td width=""20%"" nowrap>"
		str = str & "    <font size=""2""><B>" & Write(strItem(i)) & "</B></font>"
		str = str & "  </td>"
		str = str & "  <td width=""80%"">"
		str = str & "    <font size=""2"">" & Write(strText(i)) & "</font>"
		str = str & "  </td>"
		str = str & "</tr>"
	next

	PutNetWare = str

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutApple( rgInfo )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim i
	Dim str
	Dim wk1,wk2
	Dim strText()
	Dim strUnKnow
	Dim strItem

	On Error Resume Next
	Err.Clear

	strUnKnow = GetFileDt( COMMONMSGFILE, "NET_UNKNOWN" )
'	strItem = Array("` s", _
'					"m m r", _
'					"m m", _
'					"y m", _
'					"o m", _
'					"d s ")
	strItem = Array("Apple Talk", _
					"Network Number Set", _
					"Network Number", _
					"Zone Name", _
					"Printer Name", _
					"Entry Type #")

	ReDim	strtext(UBound(rgInfo))

	if rgInfo(0) <> "" then
		if rgInfo(0) = 1 then
			strText(0) = "Enable"
		elseif rgInfo(0) = 0 then
			strText(0) = "Disable"
		else
			strText(0) = strUnKnow
		End if
	else
		strText(0) = "&nbsp;"
	end if

	if rgInfo(1) <> "" then
		if rgInfo(1) = 0 then
			strText(1) = "Automatic"
		elseif rgInfo(1) = 1 then
			strText(1) = "Manual"
		else
			strText(1) = strUnKnow
		End if
	else
		strText(1) = "&nbsp;"
	end if

	for i = 2 to 4
		if rgInfo(i) <> "" then
			strText(i) = rgInfo(i)
		else
			strText(i) = "&nbsp;"
		end if
	Next

	for i = 5 to Ubound(rgInfo)
		if rgInfo(i) <> "" then
			strText(i) = rgInfo(i)
		else
			strText(i) = "&nbsp;"
		end if
	Next

	str = ""

	for i = 0 to 4
		if i = 2 AND rgInfo(1) = 0 then
			i = i + 1
		End if
		str = str & "<tr>"
		str = str & "  <td width=""20%"" nowrap>"
		str = str & "    <font size=""2""><B>" & Write(strItem(i)) & "</B></font>"
		str = str & "  </td>"
		str = str & "  <td width=""80%"">"
		str = str & "    <font size=""2"">" & Write(strText(i)) & "</font>"
		str = str & "  </td>"
		str = str & "</tr>"
	next

	for i = 5 to Ubound(rgInfo)
		str = str & "<tr>"
		str = str & "  <td width=""20%"" nowrap>"
		str = str & "    <font size=""2""><B>" & Write(strItem(5)) & i-4 & "</B></font>"
		str = str & "  </td>"
		str = str & "  <td width=""80%"">"
		str = str & "    <font size=""2"">" & Write(strText(i)) & "</font>"
		str = str & "  </td>"
		str = str & "</tr>"
	Next

	PutApple = str

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutNetbeui( rgInfo )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim i
	Dim str
	Dim wk1,wk2
	Dim strText(7)
	Dim strUnKnow
	Dim strItem

	On Error Resume Next
	Err.Clear

	strUnKnow = GetFileDt( COMMONMSGFILE, "NET_UNKNOWN" )
'	strItem = Array("madth", _
'					"v m", _
'					"mahnr m", _
'					"c m")
	strItem = Array("NetBEUI", _
					"Workgroup Name", _
					"NetBIOS Name", _
					"Device Name")

	if rgInfo(0) <> "" then
		if rgInfo(0) = 1 then
			strText(0) = "Enable"
		elseif rgInfo(0) = 0 then
			strText(0) = "Disable"
		else
			strText(0) = strUnKnow
		End if
	else
		strText(0) = "&nbsp;"
	end if

	for i = 1 to 3
		if rgInfo(i) <> "" then
			strText(i) = rgInfo(i)
		else
			strText(i) = "&nbsp;"
		end if
	Next

	str = ""

	for i = 0 to 3
		str = str & "<tr>"
		str = str & "  <td width=""20%"" nowrap>"
		str = str & "    <font size=""2""><B>" & Write(strItem(i)) & "</B></font>"
		str = str & "  </td>"
		str = str & "  <td width=""80%"">"
		str = str & "    <font size=""2"">" & Write(strText(i)) & "</font>"
		str = str & "  </td>"
		str = str & "</tr>"
	next

	PutNetbeui = str

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutSnmp( rgInfo )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim i
	Dim str
	Dim wk1,wk2
	Dim strText()
	Dim strUnKnow
	Dim strItem

	On Error Resume Next
	Err.Clear

	strUnKnow = GetFileDt( COMMONMSGFILE, "NET_UNKNOWN" )
'	strItem = Array("b", _
'					"ho sP", _
'					"ho sP b m", _
'					"ho sQ", _
'					"ho sQ b m", _
'					"how sP", _
'					"how sP b m", _
'					"how sQ", _
'					"how sQ b m")
	strItem = Array("Community", _
					"IP Trap1", _
					"IP Trap1 Community Name", _
					"IP Trap2", _
					"IP Trap2 Community Name", _
					"IPX Trap1", _
					"IPX Trap1 Community Name", _
					"IPX Trap2", _
					"IPX Trap2 Community Name")

	ReDim	strtext(UBound(rgInfo))

	strtext(0) = rgInfo(0)

	for i = 1 to 8 step 2
		if rgInfo(i) <> "" then
			if rgInfo(i) = 1 then
				strText(i) = "Enable"
			elseif rgInfo(i) = 0 then
				strText(i) = "Disable"
			else
				strText(i) = strUnKnow
			End if
		else
			strText(i) = "&nbsp;"
		end if
	next

	for i = 2 to 8 step 2
		if rgInfo(i) = "" then
			strText(i) = "&nbsp;"
		else
			strText(i) = rgInfo(i)
		End if
	Next

	str = ""

	for i = 0 to 8
		if i = 2 AND rgInfo(1) = 0 then
			i = i + 1
		End if
		str = str & "<tr>"
		str = str & "  <td width=""20%"" nowrap>"
		str = str & "    <font size=""2""><B>" & Write(strItem(i)) & "</B></font>"
		str = str & "  </td>"
		str = str & "  <td width=""80%"">"
		str = str & "    <font size=""2"">" & Write(strText(i)) & "</font>"
		str = str & "  </td>"
		str = str & "</tr>"
	next

	PutSnmp = str

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutInkTb( iqCd, wrCd )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim imgFile
	Dim col_B
	Dim	str

	On Error Resume Next
	Err.Clear

	if IsNumeric("&H" & iqCd(0)) = False then
		Exit Function
	End if

	col_B = "#000000"

	if CInt("&H" & iqCd(0)) = 0 then
		imgFile = "EPIMAGES/ep_inkBE.gif"
	else
		imgFile = "EPIMAGES/ep_inkB.gif"
		for i=0 to UBound(wrCd)
			if wrCd(i) = "10" then
				imgFile = "EPIMAGES/ep_inkBW.gif"
				Exit for
			end if
		next
	End if

	str = ""
    str = str & "<table width=""550"">"
    str = str & "  <tr>"
    str = str & "    <td height=""29"" valign=""bottom"">"
    str = str & "    <b><font size=""2"">"
    str = str & Write(titleInk)
    str = str & "    </font></b>"
    str = str & "    </td>"
    str = str & "  </tr>"
    str = str & "  <tr>"
    str = str & "    <td height=""114"" valign=""top"">"
    str = str & "      <table width=""374"" cellpadding=""3"">"
    str = str & "        <tr>"
    str = str & "          <td width=""20%"" nowrap=""nowrap"" valign=""middle"" align=""center"" height=""38"">"
    str = str & "          <img src="""
    str = str & imgFile
    str = str & "          ""alt=""Black Ink"" width=""34"" height=""59"">"
    str = str & "          </td>"
    str = str & "          <td width=""17%"" nowrap=""nowrap"" valign=""top"" height=""38"">"
    str = str & "          <font size=""2"">"
    str = str & Write(titleInkB)
    str = str & "          </font>"
    str = str & "          </td>"
    str = str & "          <td width=""7%"" valign=""top"">"
    str = str & "          <font size=""2""><B>"
    str = str & Write(":")
    str = str & "          </B></font>"
    str = str & "          </td>"
    str = str & "          <td width=""60%"" valign=""top"" height=""38"">"
    str = str & "            <table border=""2"" width=""100%"" cellspacing=""0"" bordercolor=""#808080"" bgcolor=""#808080"">"
    str = str & "              <tr>"
    str = str & PutGauge( CInt("&H" & iqCd(0)), 10, col_B, "#FFFFFF" )
    str = str & "              </tr>"
    str = str & "            </table>"
    str = str & "          </td>"
    str = str & "        </tr>"
    str = str & "      </table>"

    str = str & "      <table width=""374"">"
    str = str & "        <tr>"

    str = str & PutColInkTb( iqCd, wrCd )

    str = str & "        </tr>"
    str = str & "      </table>"

    str = str & "    </td>"
    str = str & "  </tr>"
    str = str & "</table>"

	PutInkTb = str

End Function

'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Function	PutColInkTb( iqCd, wrCd )
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim	str
	Dim	i
	Dim	colCnt
	Dim	col_C
	Dim	col_M
	Dim	col_LC
	Dim	col_LM
	Dim	col_Y
	Dim	iMin
	Dim	imgFile

	On Error Resume Next
	Err.Clear

	colCnt = UBound( iqCd )

	col_C = "#00FFFF"
	col_M = "#FF00FF"
	col_LC = "#7FFFFF"
	col_LM = "#FF7FFF"
	col_Y = "#FFFF00"

	if colCnt = 3 then
		imgFile = "EPIMAGES/ep_ink3.gif"
		for i = 0 to UBound(wrCd)
			if wrCd(i) = "11" or _
			   wrCd(i) = "12" or _
			   wrCd(i) = "13" then
				imgFile = "EPIMAGES/ep_ink3W.gif"
				Exit For
			End if
		next
		for i = 1 to UBound(iqCd)
			if CInt("&H" & iqCd(i)) = 0 then
				imgFile = "EPIMAGES/ep_ink3E.gif"
				Exit for
			End if
		Next
	else
		imgFile = "EPIMAGES/ep_ink5.gif"
		for i = 0 to UBound(wrCd)
			if wrCd(i) = "11" or _
			   wrCd(i) = "12" or _
			   wrCd(i) = "13" or _
			   wrCd(i) = "14" or _
			   wrCd(i) = "15" then
				imgFile = "EPIMAGES/ep_ink5W.gif"
				Exit For
			End if
		next
		for i = 1 to UBound(iqCd)
			if CInt("&H" & iqCd(i)) = 0 then
				imgFile = "EPIMAGES/ep_ink5E.gif"
				Exit for
			End if
		Next
	end if

	iMin = CInt("&H" & iqCd(1))
	for i = 2 to UBound(iqCd)
		if iMin > CInt("&H" & iqCd(i)) then
			iMin = CInt("&H" & iqCd(i))
		end if
	next

	str = ""

    str = str & "<td height=""91"" width=""13%"" valign=""top"">"
    str = str & "  <img src=""" & imgFile & """ alt=""Color Ink"" width=""71"" height=""59"">"
    str = str & "</td>"
    str = str & "<td height=""91"" width=""87%"" valign=""top"">"
    str = str & "  <table width=""100%"">"

    str = str & "    <tr>"
    str = str & "      <td width=""21%"" nowrap=""nowrap""><font size=""2"">"
    str = str & Write(titleInkC) & "</font></td>"
    str = str & "          <td width=""10%"">"
    str = str & "          <font size=""2""><B>"
    str = str & Write(":")
    str = str & "          </B></font>"
    str = str & "          </td>"
    str = str & "      <td width=""69%"">"
    str = str & "        <table border=""2"" width=""100%"" cellspacing=""0"" bordercolor=""#808080"" bgcolor=""#808080"">"
    str = str & "          <tr>"
    str = str & PutGauge( iMin, 10, col_C, "#FFFFFF" )
    str = str & "          </tr>"
    str = str & "        </table>"
    str = str & "      </td>"
    str = str & "    </tr>"

	if colCnt = 5 then
		str = str & "    <tr>"
		str = str & "      <td width=""21%"" nowrap=""nowrap""><font size=""2"">"
		str = str & Write(titleInkLC) & "</font></td>"
	    str = str & "          <td width=""10%"">"
	    str = str & "          <font size=""2""><B>"
	    str = str & Write(":")
	    str = str & "          </B></font>"
	    str = str & "          </td>"
		str = str & "      <td width=""69%"">"
		str = str & "        <table border=""2"" width=""100%"" cellspacing=""0"" bordercolor=""#808080"" bgcolor=""#808080"">"
		str = str & "          <tr>"
		str = str & PutGauge( iMin, 10, col_LC, "#FFFFFF" )
		str = str & "          </tr>"
		str = str & "        </table>"
		str = str & "      </td>"
		str = str & "    </tr>"
	End if

    str = str & "    <tr>"
    str = str & "      <td width=""21%"" nowrap=""nowrap""><font size=""2"">"
    str = str & Write(titleInkM) & "</font></td>"
    str = str & "          <td width=""10%"">"
    str = str & "          <font size=""2""><B>"
    str = str & Write(":")
    str = str & "          </B></font>"
    str = str & "          </td>"
    str = str & "      <td width=""69%"">"
    str = str & "        <table border=""2"" width=""100%"" cellspacing=""0"" bordercolor=""#808080"" bgcolor=""#808080"">"
    str = str & "          <tr>"
    str = str & PutGauge( iMin, 10, col_M, "#FFFFFF" )
    str = str & "          </tr>"
    str = str & "        </table>"
    str = str & "      </td>"
    str = str & "    </tr>"

	if colCnt = 5 then
		str = str & "    <tr>"
		str = str & "      <td width=""21%"" nowrap=""nowrap""><font size=""2"">"
		str = str & Write(titleInkLM) & "</font></td>"
	    str = str & "          <td width=""10%"">"
	    str = str & "          <font size=""2""><B>"
	    str = str & Write(":")
	    str = str & "          </B></font>"
	    str = str & "          </td>"
		str = str & "      <td width=""69%"">"
		str = str & "        <table border=""2"" width=""100%"" cellspacing=""0"" bordercolor=""#808080"" bgcolor=""#808080"">"
		str = str & "          <tr>"
		str = str & PutGauge( iMin, 10, col_LM, "#FFFFFF" )
		str = str & "          </tr>"
		str = str & "        </table>"
		str = str & "      </td>"
		str = str & "    </tr>"
	End if

    str = str & "    <tr>"
    str = str & "      <td width=""21%"" nowrap=""nowrap""><font size=""2"">"
    str = str & Write(titleInkY) & "</font></td>"
    str = str & "          <td width=""10%"">"
    str = str & "          <font size=""2""><B>"
    str = str & Write(":")
    str = str & "          </B></font>"
    str = str & "          </td>"
    str = str & "      <td width=""69%"">"
    str = str & "        <table border=""2"" width=""100%"" cellspacing=""0"" bordercolor=""#808080"" bgcolor=""#808080"">"
    str = str & "          <tr>"
    str = str & PutGauge( iMin, 10, col_Y, "#FFFFFF" )
    str = str & "          </tr>"
    str = str & "        </table>"
    str = str & "      </td>"
    str = str & "    </tr>"
    str = str & "  </table>"
    str = str & "</td>"

    PutColInkTb = str
 
End Function

%>

<%
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
'
'  dornm Printer Suatus Page
'
'
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''
    On Error Resume Next
    Err.Clear

    Response.expires = 0
    Response.Buffer = TRUE
    
    Dim strULR
    Dim strRefULR
    Dim strIP
    Dim strCommunity
    Dim iDevice
    Dim strDevice
    Dim strEncodedPrinter
    Dim strModel
    Dim nSelMode
    Dim nNetMode
    Dim selImg

    strIP = Request(IPADDRESS)
    strCommunity = Request (COMMUNITY)
    iDevice = Request(DEVICE)
    strDevice = CStr(iDevice)
    strEncodedPrinter = Request(PRINTER)
    strModel = Request(MODEL)
    nSelMode = Request("Sel")
    nNetMode = Request("Net")

	strRefULR = "Page1.asp?refresh=1" & ATIPADDRESS & strIP & ATCOMMUNITY & strCommunity &_
                                   ATPRINTER & strEncodedPrinter & ATDEVICE & strDevice & ATMODEL & strModel &_
                                   "&Sel=" & nSelMode & "&Net=" & nNetMode

	strULR = "Page1.asp?refresh=1" & ATIPADDRESS & strIP & ATCOMMUNITY & strCommunity &_
                                   ATPRINTER & strEncodedPrinter & ATDEVICE & strDevice & ATMODEL & strModel

	Dim devStatus
	Dim statusCd
	Dim stCd
	Dim erCd
	Dim iqCd
	Dim wrCd
	Dim ppCd

	Dim nErrImg
	Dim nErrMsg
	Dim strDriver
	Dim rgNetInfo

	Dim msgCd

	Dim titleInk
	Dim titleInkB
	Dim titleInkC
	Dim titleInkM
	Dim titleInkY
	Dim titleInkLC
	Dim titleInkLM

	Dim i
	Dim iRet

	if nSelMode <> "2" then
		selImg = "EPIMAGES/ep_SelSE.gif"
		nSelMode = "1"
	else
		selImg = "EPIMAGES/ep_SelNE.gif"
	End if

	devStatus = GetStatus

	stCd = GetSt(devStatus)
	erCd = GetEr(devStatus)
	iqCd = GetIq(devStatus, strDriver)
	wrCd = GetWr(devStatus)
	ppCd = GetPp(devStatus)

	strDriver = GetDriver

	msgCd = ChkDrv(strDriver)

	if msgCd = "" then
		msgCd = MakeMsgCd(stCd, erCd, iqCd, wrCd )
	end if

	for i = 0 to 3
		iRet = GetInfo( msgCd, nErrImg, nErrMsg )
		if iRet = True OR i = 3 then
			Exit for
		end if
		msgCd = Left(msgCd,8-((i+1)*2)) & "------"
		msgCd = Left(msgCd,8)
	next

	if msgCd = "DRIVER01" OR msgCd = "00------" then
		ppCd(0) = "--"
		iqCd(0) = "--"
	elseif nSelMode <> "2" then
		For i = 0 to UBound(iqCd)
			if iqCd(i) = "FF" or _
			   iqCd(i) = "RE" or _
			   iqCd(i) = "WE" then
				iqCd(i) = "00"
			End if
		Next

		titleInk = GetFileDt( COMMONMSGFILE, "Title2" )
		titleInkB = GetFileDt( COMMONMSGFILE, "Ink_B" )
		titleInkC = GetFileDt( COMMONMSGFILE, "Ink_C" )
		titleInkM = GetFileDt( COMMONMSGFILE, "Ink_M" )
		titleInkLC = GetFileDt( COMMONMSGFILE, "Ink_LC" )
		titleInkLM = GetFileDt( COMMONMSGFILE, "Ink_LM" )
		titleInkY = GetFileDt( COMMONMSGFILE, "Ink_Y" )
	else
		iRet = GetNetwork( nNetMode,rgNetInfo )
	End if

%>


<%
'/****************************************************************************/
'/*																			*/
'/*	HTML																	*/
'/*																			*/
'/****************************************************************************/
%>
<html>
<head>

<title>EPSON Printer Status Page</title>

<meta name="GENERATOR" content="Microsoft FrontPage 3.0">
<meta http-equiv="refresh" content="120; url=<%=strRefULR%>">
<%=SetCodePage%>

<SCRIPT LANGUAGE="JavaScript">
<!--


	if (document.images) {
		Off = new Array();

		Off[0] = new Image();
		Off[0].src = "EPIMAGES/ep_SelSE.gif";
		Off[1] = new Image();
		Off[1].src = "EPIMAGES/ep_SelNE.gif";

		On = new Array();

		On[1] = new Image();
		On[1].src = "EPIMAGES/ep_Sel1E.gif";
		On[2] = new Image();
		On[2].src = "EPIMAGES/ep_Sel2E.gif";
	}


	function rollOver(imgNum) {
	
		document.map.src = On[imgNum].src;
	}


	function rollOut(imgNum) {
		document.map.src = Off[imgNum].src;
	}


<!---->
</SCRIPT>

</head>

<body TOPMARGIN=0 bgcolor="#FFFFCC">

<table width="555" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="555" align="left" valign="bottom"><img src="EPIMAGES/ep_TtUp.gif" alt="title" width="555" height="14"></td>
  </tr>
</table>

<table border="0" width="555" cellspacing="0" cellpadding="0">
  <tr> 
    <td COLSPAN="134" height="31" valign="top" align="right" width="134"></td>
    <td width="298" align="left" valign="top"><img name="map" width="298" height="18" src="<%=selImg%>" alt="summary or network" border=0 usemap="#Info"></td>
    <td width="123" align="left" valign="top"><img src="EPIMAGES/ep_TtDn.gif" alt="EPSON Logo" width="123" height="27"></td>
  </tr>
</table>

<table width="550">
  <tr>
    <td height="92" width="13%">
      <table border="2" width="92%" cellspacing="1">
        <tr>
          <td><img src="<%=nErrImg%>" alt="printer Image" width="110" height="85"></td>
        </tr>
      </table>
    </td>
    <td height="92" width="8%"></td>
    <td height="92" width="79%" valign="top">
      <table width="100%" cellspacing="1" border="2">
        <tr>
          <td height="90" bgcolor="#FFFFFF"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>

<div id="LayStMes" style="position:absolute; left:161px; top:53px; width:392px; height:87px; z-index:10; visibility: visible; overflow: auto">
  <font size="2">
  <%=Write(nErrMsg)%>
  </font>
</div>

<%=PutInfo( nSelMode, nNetMode, iqCd, wrCd, ppCd, rgNetInfo )%>

<MAP NAME="Info">
<AREA
	SHAPE="rect" 
	COORDS="0,0,148,18" 
	HREF="<%=strULR%>&Sel=1"
	ALT="summary"
	TITLE="summary"
	onMouseOver="rollOver('1')"
	onMouseOut="rollOut('<%=CInt(nSelMode) - 1%>');">

<AREA 
	SHAPE="rect" 
	COORDS="149,0,298,18" 
	HREF="<%=strULR%>&Sel=2&Net=1"
	ALT="network"
	TITLE="network"
	onMouseOver="rollOver('2')"
	onMouseOut="rollOut('<%=CInt(nSelMode) - 1%>');">
	
</MAP>

</body>
</html>
